Uploaded image for project: 'Java Couchbase JVM Core'
  1. Java Couchbase JVM Core
  2. JVMCBC-286

Check project uses JDK 1.6 API only

    XMLWordPrintable

Details

    • Task
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 1.2.3
    • 1.2.4
    • Dependencies
    • None

    Description

      When developing against a recent JDK, it's not sufficient to just set the targetVersion to 1.6, as the compiler will happily produce Java 6 bytecode that uses APIs introduced in a more recent version (eg. Java 8). This results in code that can't run on a Java 6 JRE.

      The Animal-Sniffer tool has a Maven integration that allows to check such cases.

      Attachments

        Issue Links

          For Gerrit Dashboard: JVMCBC-286
          # Subject Branch Project Status CR V

          Activity

            Note: JCBC-915 was resolved as commit 3b5f40a0ad5430b78c72b6533f89c336668031b3 in java-client but this issue's number was wrongly used in commit message

            simonbasle Simon Baslé (Inactive) added a comment - Note: JCBC-915 was resolved as commit 3b5f40a0ad5430b78c72b6533f89c336668031b3 in java-client but this issue's number was wrongly used in commit message

            People

              simonbasle Simon Baslé (Inactive)
              simonbasle Simon Baslé (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Gerrit Reviews

                  There are no open Gerrit changes

                  PagerDuty